Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.management.mbeanserver
Class MBeansRegistrar

    java.lang.Object
      com.stc.connector.management.mbeanserver.MBeansRegistrar

public class MBeansRegistrar
extends java.lang.Object

Constructor Summary
`MBeansRegistrar()`

Method Summary
`java.lang.Object` | `createMBean(java.lang.String mbClassName)`
`java.lang.Object` | `getMBeanObject(java.lang.String mbname)` Return MBean with the specified string name
`boolean` | `isRegistered(java.lang.String mbname)` Return if an Mbean with the specified name is registered
`java.lang.Object` | `register(java.lang.Object mbeanInstance, java.lang.String mbname)`
`java.lang.Object` | `register(java.lang.String mbClassName, java.lang.String mbname)` Register specified MBean to the MBeanServer
`void` | `unregister(java.lang.String mbname)` Unregister specified MBean from the MBeanServer

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeansRegistrar

    public MBeansRegistrar()

Method Detail

### createMBean

    public java.lang.Object createMBean(java.lang.String mbClassName)
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### register

    public java.lang.Object register(java.lang.Object mbeanInstance,
                                     java.lang.String mbname)
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### register

    public java.lang.Object register(java.lang.String mbClassName,
                                     java.lang.String mbname)
                              throws java.lang.Exception

  Register specified MBean to the MBeanServer

  Parameters:
    `mbClassName` - name of MBean class
    `mbname` - name of MBean
  Throws:
    `java.lang.Exception`

### unregister

    public void unregister(java.lang.String mbname)
                    throws java.lang.Exception

  Unregister specified MBean from the MBeanServer

  Parameters:
    `mbname` - name of MBean
  Throws:
    `java.lang.Exception`

### isRegistered

    public boolean isRegistered(java.lang.String mbname)
                         throws javax.management.RuntimeOperationsException

  Return if an Mbean with the specified name is registered

  Returns:
    isRegistered true if MBean with specified name is already registered.
  Throws:
    `javax.management.RuntimeOperationsException`

### getMBeanObject

    public java.lang.Object getMBeanObject(java.lang.String mbname)
                                    throws java.lang.Exception

  Return MBean with the specified string name

  Returns:
    MBean implementation class instance created for the specified mbean name
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD